/**
  *	Copyright (C) @YEAR@ Vernon Systems Limited
  *
  *	Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), 
  *	to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, 
  *	and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:
  *
  *	The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.
  *
  *	THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
  *	FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, 
  *	WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
  */
package com.ehive.api.domain.comments;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

public class CommentsCollection implements Serializable {

	private static final long serialVersionUID = 5006149904107696546L;

	private Long objectRecordId;
	private Boolean allowCommenting;
	private List<Comment> comments = new ArrayList<Comment>();

	public Long getObjectRecordId() { return objectRecordId; }
	public void setObjectRecordId(Long objectRecordId) { this.objectRecordId = objectRecordId; }
	
	public Boolean getAllowCommenting() { return allowCommenting; }
	public void setAllowCommenting(Boolean allowCommenting) { this.allowCommenting = allowCommenting; }
	
	public List<Comment> getComments() { return comments; }
	public void setComments(List<Comment> comments) { this.comments = comments; }
}
