/**
  *	Copyright (C) @YEAR@ Vernon Systems Limited
  *
  *	Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), 
  *	to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, 
  *	and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:
  *
  *	The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.
  *
  *	THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
  *	FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, 
  *	WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
  */
package com.ehive.api.domain.objects;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

public class ObjectRecordsCollection implements Serializable {
	
	private static final long serialVersionUID = -2727334327809955975L;

	private Long totalObjects;
	private Float maxSearchScore;
	private List<ObjectRecord> objectRecords = new ArrayList<ObjectRecord>();
	
	
	public Long getTotalObjects() { return totalObjects; }
	public void setTotalObjects(Long totalObjects) { this.totalObjects = totalObjects; }
	
	public Float getMaxSearchScore() { return maxSearchScore; }
	public void setMaxSearchScore(Float maxSearchScore) { this.maxSearchScore = maxSearchScore; }

	public List<ObjectRecord> getObjectRecords() { return objectRecords; }
	public void setObjectRecords(List<ObjectRecord> objectRecords) { this.objectRecords = objectRecords; }	
}